Package org.apache.sling.engine

# Interface SlingSettingsService

@Deprecated @ProviderType public interface SlingSettingsService
Deprecated.
Use the `SlingSettingsService`
The `SlingSettingsService` provides basic Sling settings.

## Method Summary

Modifier and Type
Method
Description
`String`
`getSlingId()`
Deprecated.
The identifier of the running Sling instance.

## Method Details

### getSlingId

String getSlingId()
Deprecated.
The identifier of the running Sling instance.

Returns:
  The Sling identifier